<template>
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <div class="input-group input-group-sm" style="width: 150px;">
            <input type="text" name="table_search" class="form-control float-right"
                   placeholder="Search">

            <div class="input-group-append">
              <button type="submit" class="btn btn-default">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.card-header -->
      <div class="card-body table-responsive p-0">
        <table class="table table-hover text-nowrap">
          <thead>
          <tr>
            <th>Название</th>
            <th width="10%">Дата</th>
            <th width="10%">Статус</th>
            <th width="40%">Краткое описание</th>
            <th>Действия</th>
          </tr>
          </thead>
          <tbody>
          <tr v-for="offer in offers">
            <td>{{ offer.name }}</td>
            <td>{{ offer.date }}</td>
            <td>
              <div class="col">
                <switches v-model="offer.status" color="green"></switches>
              </div>
            </td>
            <td>{{ offer.short_description }}</td>
            <td class="project-actions text-right d-flex">
              <a class="btn btn-primary btn-sm mr-2"
                 href="#">
                <i class="fas fa-folder">
                </i>
                Посмотреть
              </a>
              <a class="btn btn-info btn-sm mr-2"
                 href="">
                <i class="fas fa-pencil-alt">
                </i>
                Редактировать
              </a>
              <form action="#" method="POST" class="m-0">
                <button class="btn btn-danger btn-sm">
                  <i class="fas fa-trash"></i>
                  Удалить
                </button>
              </form>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
      <!-- /.card-body -->
    </div>
    <!-- /.card -->
  </div>
</template>

<script>
import Switches from 'vue-switches'

export default {
  name: "indexComponent",
  components: {
    Switches
  },
  props: ['offers'],
  mounted() {
  },
}
</script>

<style scoped>

</style>